Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
chien_pecc1

Chèn điểm point vào tâm của đường tròn

Các bài được khuyến nghị

Help me!!!!!!!

 

Mình có một số đường tròn đều có tọa độ x, y, z của tâm đường tròn đó. Bây giờ mình muốn chèn các điểm vào đúng tâm của đường tròn đó và nhận tọa độ của tâm làm tọa độ của point.

Hãy giúp mình viết lisp để thực hiện công đoạn này!

Xin cảm ơn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Help me!!!!!!!

 

Mình có một số đường tròn đều có tọa độ x, y, z của tâm đường tròn đó. Bây giờ mình muốn chèn các điểm vào đúng tâm của đường tròn đó và nhận tọa độ của tâm làm tọa độ của point.

Hãy giúp mình viết lisp để thực hiện công đoạn này!

Xin cảm ơn!

 

Lệnh là CHENP

(defun c:chenp ( / ss ent)
 (setq ss (ssget '((0 . "CIRCLE"))))
 (while (setq ent (ssname ss 0))
(setq ss (ssdel ent ss))
(entmake (cons (cons 0 "POINT") (vl-remove-if '(lambda(x) (member (car x) '(0 100 5 40))) (entget ent))))
 )
 (princ)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×